Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/physiqex_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/physiqex_mod.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/physiqex_mod.F90	(revision 5116)
@@ -19,5 +19,5 @@
       USE ioipsl, ONLY: ymds2ju
       USE phys_state_var_mod, ONLY: phys_state_var_init
-      USE phyetat0_mod, only: phyetat0
+      USE phyetat0_mod, ONLY: phyetat0
       USE output_physiqex_mod, ONLY: output_physiqex
 
@@ -57,6 +57,6 @@
 
 
-real :: temp_newton(klon,klev)
-integer :: k
+REAL :: temp_newton(klon,klev)
+INTEGER :: k
 logical, save :: first=.TRUE.
 !$OMP THREADPRIVATE(first)
@@ -66,6 +66,6 @@
 
 ! For I/Os
-integer :: itau0
-real :: zjulian
+INTEGER :: itau0
+REAL :: zjulian
 
 
@@ -131,5 +131,5 @@
 
 ! if lastcall, then it is time to write "restartphy.nc" file
-IF (lafin) then
+IF (lafin) THEN
   CALL phyredem("restartphy.nc")
 END IF
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/phytrac_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/phytrac_mod.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/phytrac_mod.F90	(revision 5116)
@@ -439,5 +439,5 @@
       iflag_con_trac = iflag_con_trac_omp
       iflag_the_trac = iflag_the_trac_omp
-      write(lunout, *) 'phytrac passage dans routine conv avec lessivage', convscav
+      WRITE(lunout, *) 'phytrac passage dans routine conv avec lessivage', convscav
 
       !Config Key  = iflag_lscav
@@ -595,5 +595,5 @@
       WRITE(lunout, *) 'pbl_flg        =', pbl_flg
       WRITE(lunout, *) 'lessivage      =', lessivage
-      write(lunout, *)  'flag_cvltr    = ', flag_cvltr
+      WRITE(lunout, *)  'flag_cvltr    = ', flag_cvltr
 
       IF (lessivage .AND. ANY(type_trac == ['inca', 'inco'])) &
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/press_coefoz_m.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/press_coefoz_m.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/press_coefoz_m.F90	(revision 5116)
@@ -23,9 +23,9 @@
     ! and in strictly ascending order.
 
-    use netcdf95, only: nf95_open, nf95_close, nf95_gw_var, nf95_inq_varid
-    use netcdf, only: nf90_nowrite
+    use netcdf95, ONLY: nf95_open, nf95_close, nf95_gw_var, nf95_inq_varid
+    use netcdf, ONLY: nf90_nowrite
 
-    use lmdz_phys_mpi_data, only: is_mpi_root
-    use lmdz_phys_mpi_transfert, only: bcast_mpi ! broadcast
+    use lmdz_phys_mpi_data, ONLY: is_mpi_root
+    use lmdz_phys_mpi_transfert, ONLY: bcast_mpi ! broadcast
 
     ! Variables local to the procedure:
@@ -39,5 +39,5 @@
     print *, "Call sequence information: press_coefoz"
 
-    if (is_mpi_root) then
+    if (is_mpi_root) THEN
        CALL nf95_open("coefoz_LMDZ.nc", nf90_nowrite, ncid)
 
@@ -57,5 +57,5 @@
     ! Compute edges of pressure intervals:
     allocate(press_in_edg(n_plev + 1))
-    if (is_mpi_root) then
+    if (is_mpi_root) THEN
        press_in_edg(1) = 0.
        ! We choose edges halfway in logarithm:
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/print_debug_phys.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/print_debug_phys.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/print_debug_phys.F90	(revision 5116)
@@ -14,5 +14,5 @@
 PRINT*,'l    u, v, T, q, ql'
 DO k = 1, klev
-   write(*,'(i3,2f8.4,3f14.4,2e14.2)') k,longitude_deg(i),latitude_deg(i), &
+   WRITE(*,'(i3,2f8.4,3f14.4,2e14.2)') k,longitude_deg(i),latitude_deg(i), &
    u_seri(i,k),v_seri(i,k),t_seri(i,k),q_seri(i,k),ql_seri(i,k)
 ENDDO
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/radlwsw_m.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/radlwsw_m.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/radlwsw_m.F90	(revision 5116)
@@ -82,6 +82,6 @@
     USE phys_state_var_mod, ONLY: pctsrf
     USE indice_sol_mod
-    USE time_phylmdz_mod, only: current_time
-    USE phys_cal_mod, only: day_cur
+    USE time_phylmdz_mod, ONLY: current_time
+    USE phys_cal_mod, ONLY: day_cur
     USE interface_lmdz_ecrad
 #endif
@@ -798,7 +798,7 @@
         ENDDO
 
-      ELSE IF (iflag_rrtm == 1) then
+      ELSE IF (iflag_rrtm == 1) THEN
 #ifdef CPP_RRTM
-          !      if (prt_level.gt.10)write(lunout,*)'CPP_RRTM=.T.' 
+          !      if (prt_level.gt.10)WRITE(lunout,*)'CPP_RRTM=.T.'
           !===== iflag_rrtm=1, on passe dans SW via RECMWFL ===============
 
@@ -1316,5 +1316,5 @@
 !!! - Gas en VMR pour offline et MMR pour online
 !!! - on utilise pour solarirrad une valeur constante
-          if (lldebug_for_offline) then
+          if (lldebug_for_offline) THEN
              SOLARIRAD = 1366.0896
              ZCH4_off = CH4_ppb*1e-9
@@ -1354,5 +1354,5 @@
           ! lldebug_for_offline
 
-          if (namelist_ecrad_file.eq.'namelist_ecrad') then 
+          if (namelist_ecrad_file.eq.'namelist_ecrad') THEN
              PRINT*,' 1er apell Ecrad : ok_3Deffect, namelist_ecrad_file = ', &
                   ok_3Deffect, namelist_ecrad_file    
@@ -1447,5 +1447,5 @@
           print *,'========= RADLWSW: apres RADIATION_SCHEME ==================== '
 
-          if (lldebug_for_offline) then
+          if (lldebug_for_offline) THEN
              CALL writefield_phy('FLUX_LW',ZLWFT_i,klev+1)
              CALL writefield_phy('FLUX_LW_CLEAR',ZLWFT0_ii,klev+1)
@@ -1673,5 +1673,5 @@
 
     IF (lldebug) THEN
-      if (0==1) then
+      if (0==1) THEN
         ! Verifs dans le cas 1D
         PRINT*, '================== Sortie de radlw ================='
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/ran0_vec.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/ran0_vec.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/ran0_vec.F90	(revision 5116)
@@ -17,7 +17,7 @@
 
   ! do j=1,npoints
-  ! if (idum(j).eq.0) then
-  ! write(6,*) 'idum=',idum
-  ! write(6,*) 'ZERO seed not allowed'
+  ! if (idum(j).eq.0) THEN
+  ! WRITE(6,*) 'idum=',idum
+  ! WRITE(6,*) 'ZERO seed not allowed'
   ! stop
   ! endif
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/readaerosol_interp.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/readaerosol_interp.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/readaerosol_interp.F90	(revision 5116)
@@ -8,7 +8,7 @@
   ! CALL to this routine only treats the aerosol "id_aero".
 
-  ! 1) Read in data for the whole year, only at first time step
-  ! 2) Interpolate to the actual day, only at new day
-  ! 3) Interpolate to the model vertical grid (target grid), only at new day
+  ! 1) Read in data for the whole year, ONLY at first time step
+  ! 2) Interpolate to the actual day, ONLY at new day
+  ! 3) Interpolate to the model vertical grid (target grid), ONLY at new day
   ! 4) Test for negative mass values
 
@@ -102,5 +102,5 @@
   ! Calculation to find if it is a new day
 
-  IF(mpi_rank == 0 .AND. debug)then
+  IF(mpi_rank == 0 .AND. debug)THEN
     PRINT*, 'CONTROL PANEL REGARDING TIME STEPING'
   ENDIF
@@ -125,5 +125,5 @@
   ENDIF
 
-  IF(mpi_rank == 0 .AND. debug)then
+  IF(mpi_rank == 0 .AND. debug)THEN
     ! 0.02 is about 0.5/24, namly less than half an hour
     OLDNEWDAY = (r_day - REAL(iday) < 0.02)
@@ -280,7 +280,7 @@
     month_mid(:) = month_start (:) + month_len(:) / 2.
 
-    if (debug) then
-      write(lunout, *)' month_len = ', month_len
-      write(lunout, *)' month_mid = ', month_mid
+    if (debug) THEN
+      WRITE(lunout, *)' month_len = ', month_len
+      WRITE(lunout, *)' month_mid = ', month_mid
     endif
 
@@ -300,5 +300,5 @@
     ! Find which months and days to use for time interpolation
     nbr_tsteps = 12
-    IF (nbr_tsteps == 12) then
+    IF (nbr_tsteps == 12) THEN
       IF (jDay < month_mid(im + 1)) THEN
         im2 = im - 1
@@ -319,5 +319,5 @@
         ENDIF
       ENDIF
-    ELSE IF (nbr_tsteps == 14) then
+    ELSE IF (nbr_tsteps == 14) THEN
       im = im + 1
       IF (jDay < month_mid(im)) THEN
@@ -335,6 +335,6 @@
       CALL abort_physic('readaerosol_interp', 'number of months undefined', 1)
     ENDIF
-    if (debug) then
-      write(lunout, *)' jDay, day1, day2, im, im2 = ', jDay, day1, day2, im, im2
+    if (debug) THEN
+      WRITE(lunout, *)' jDay, day1, day2, im, im2 = ', jDay, day1, day2, im, im2
     endif
 
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/readaerosol_optic.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/readaerosol_optic.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/readaerosol_optic.F90	(revision 5116)
@@ -13,5 +13,5 @@
   USE dimphy
   USE aero_mod
-  USE phys_local_var_mod, only: sconcso4,sconcno3,sconcoa,sconcbc,sconcss,sconcdust, &
+  USE phys_local_var_mod, ONLY: sconcso4,sconcno3,sconcoa,sconcbc,sconcss,sconcdust, &
       concso4,concno3,concoa,concbc,concss,concdust,loadso4,loadoa,loadbc,loadss,loaddust, &
       load_tmp1,load_tmp2,load_tmp3,load_tmp4,load_tmp5,load_tmp6,load_tmp7
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/readaerosolstrato.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/readaerosolstrato.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/readaerosolstrato.F90	(revision 5116)
@@ -1,7 +1,7 @@
 SUBROUTINE readaerosolstrato(debut)
 
-  use netcdf95, only: nf95_close, nf95_gw_var, nf95_inq_dimid, &
+  use netcdf95, ONLY: nf95_close, nf95_gw_var, nf95_inq_dimid, &
           nf95_inq_varid, nf95_open
-  use netcdf, only: nf90_get_var, nf90_noerr, nf90_nowrite
+  use netcdf, ONLY: nf90_get_var, nf90_noerr, nf90_nowrite
 
   USE phys_cal_mod, ONLY: mth_cur
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/readchlorophyll.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/readchlorophyll.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/readchlorophyll.F90	(revision 5116)
@@ -102,5 +102,5 @@
       WRITE(lunout, *)"chrolophyll current month", mth_cur
       DO i = 1, klon_glo
-        !      if(isnan(chlorocon_mois_glo(i)))then ! isnan() is not in the Fortran standard...
+        !      IF(isnan(chlorocon_mois_glo(i)))then ! isnan() is not in the Fortran standard...
         !      Another way to check for NaN:
         IF (chlorocon_mois_glo(i)/=chlorocon_mois_glo(i)) chlorocon_mois_glo(i) = 0.
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/reevap.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/reevap.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/reevap.F90	(revision 5116)
@@ -27,5 +27,5 @@
     DO k = 1, klev  ! re-evaporation de l'eau liquide nuageuse
        DO i = 1, klon
-        if (fl_cor_ebil > 0) then
+        if (fl_cor_ebil > 0) THEN
           zlvdcp=RLVTT/RCPD/(1.0+RVTMP2*(q_seri(i,k)+ql_seri(i,k)+qs_seri(i,k)))
           zlsdcp=RLSTT/RCPD/(1.0+RVTMP2*(q_seri(i,k)+ql_seri(i,k)+qs_seri(i,k)))
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/regr_horiz_time_climoz_m.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/regr_horiz_time_climoz_m.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/regr_horiz_time_climoz_m.F90	(revision 5116)
@@ -1,5 +1,5 @@
 MODULE regr_horiz_time_climoz_m
 
-  USE interpolation, ONLY: locate
+  use lmdz_interpolation, ONLY: locate
   USE lmdz_grid_phy, ONLY: nbp_lon, nbp_lat, grid_type, unstructured
   USE nrtype, ONLY: pi
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/regr_lat_time_coefoz_m.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/regr_lat_time_coefoz_m.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/regr_lat_time_coefoz_m.F90	(revision 5116)
@@ -41,11 +41,11 @@
 
     use lmdz_grid_phy, ONLY: nbp_lat
-    use regr_conserv_m, only: regr_conserv
-    use regr_lint_m, only: regr_lint
-    use netcdf95, only: nf95_open, nf95_close, nf95_inq_varid, nf95_get_var, &
+    use regr_conserv_m, ONLY: regr_conserv
+    use regr_lint_m, ONLY: regr_lint
+    use netcdf95, ONLY: nf95_open, nf95_close, nf95_inq_varid, nf95_get_var, &
          nf95_put_var, nf95_gw_var
-    use netcdf, only: nf90_nowrite
-    use nrtype, only: pi
-    use lmdz_regular_lonlat, only: boundslat_reg, south
+    use netcdf, ONLY: nf90_nowrite
+    use nrtype, ONLY: pi
+    use lmdz_regular_lonlat, ONLY: boundslat_reg, south
 
     ! Variables local to the procedure:
@@ -94,8 +94,8 @@
     integer, parameter:: n_o3_param = 8 ! number of ozone parameters
 
-    character(len=11) name_in(n_o3_param)
+    CHARACTER(LEN=11) name_in(n_o3_param)
     ! (name of NetCDF primary variable in the input file)
 
-    character(len=9) name_out(n_o3_param)
+    CHARACTER(LEN=9) name_out(n_o3_param)
     ! (name of NetCDF primary variable in the output file)
 
@@ -241,14 +241,14 @@
 
     use lmdz_grid_phy, ONLY: nbp_lat
-    use lmdz_assert_eq, only: assert_eq
-
-    use netcdf95, only: nf95_create, nf95_def_dim, nf95_def_var, &
+    use lmdz_assert_eq, ONLY: assert_eq
+
+    use netcdf95, ONLY: nf95_create, nf95_def_dim, nf95_def_var, &
          nf95_put_att, nf95_enddef, nf95_copy_att, nf95_put_var
-    use netcdf, only: nf90_clobber, nf90_float, nf90_copy_att, nf90_global
-    use nrtype, only: pi
+    use netcdf, ONLY: nf90_clobber, nf90_float, nf90_copy_att, nf90_global
+    use nrtype, ONLY: pi
     use lmdz_regular_lonlat, ONLY: lat_reg
 
     integer, intent(in):: ncid_in, varid_in(:), n_plev
-    character(len=*), intent(in):: name_out(:) ! of NetCDF variables
+    CHARACTER(LEN=*), intent(in):: name_out(:) ! of NetCDF variables
     integer, intent(out):: ncid_out, varid_out(:), varid_plev, varid_time
 
@@ -328,11 +328,11 @@
     SUBROUTINE handle_err_copy_att(att_name)
 
-      use netcdf, only: nf90_noerr, nf90_strerror
-
-      character(len=*), intent(in):: att_name
+      use netcdf, ONLY: nf90_noerr, nf90_strerror
+
+      CHARACTER(LEN=*), intent(in):: att_name
 
       !----------------------------------------
 
-      if (ncerr /= nf90_noerr) then
+      if (ncerr /= nf90_noerr) THEN
          print *, "prepare_out " // trim(name_out(i)) &
               // " nf90_copy_att " // att_name // " -- " &
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/regr_pr_comb_coefoz_m.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/regr_pr_comb_coefoz_m.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/regr_pr_comb_coefoz_m.F90	(revision 5116)
@@ -39,6 +39,6 @@
     ! It allocates module variables.
 
-    use dimphy, only: klon
-    use lmdz_grid_phy, only: nbp_lev
+    use dimphy, ONLY: klon
+    use lmdz_grid_phy, ONLY: nbp_lev
 
     ! Variables local to the procedure:
@@ -71,13 +71,13 @@
     !    coefficients are combined to define the five module variables.
 
-    use netcdf95, only: nf95_open, nf95_close
-    use netcdf, only: nf90_nowrite
-    use lmdz_assert, only: assert
-    use dimphy, only: klon
-    use lmdz_phys_mpi_data, only: is_mpi_root
-    use regr_pr_time_av_m, only: regr_pr_time_av
-    use regr_pr_int_m, only: regr_pr_int
-    use press_coefoz_m, only: press_in_edg, plev
-    use lmdz_grid_phy, only: nbp_lev
+    use netcdf95, ONLY: nf95_open, nf95_close
+    use netcdf, ONLY: nf90_nowrite
+    use lmdz_assert, ONLY: assert
+    use dimphy, ONLY: klon
+    use lmdz_phys_mpi_data, ONLY: is_mpi_root
+    use regr_pr_time_av_m, ONLY: regr_pr_time_av
+    use regr_pr_int_m, ONLY: regr_pr_int
+    use press_coefoz_m, ONLY: press_in_edg, plev
+    use lmdz_grid_phy, ONLY: nbp_lev
 
     integer, intent(in):: julien ! jour julien, 1 <= julien <= 360
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/regr_pr_int_m.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/regr_pr_int_m.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/regr_pr_int_m.F90	(revision 5116)
@@ -24,15 +24,15 @@
     ! Regridding is by linear interpolation.
 
-    use dimphy, only: klon
-    use netcdf95, only: nf95_inq_varid, nf95_get_var
-    use lmdz_assert, only: assert
-    use regr_lint_m, only: regr_lint
-    use lmdz_phys_mpi_data, only: is_mpi_root
-    use lmdz_grid_phy, only: nbp_lon, nbp_lat, nbp_lev
-    use lmdz_phys_transfert_para, only: scatter2d
+    use dimphy, ONLY: klon
+    use netcdf95, ONLY: nf95_inq_varid, nf95_get_var
+    use lmdz_assert, ONLY: assert
+    use regr_lint_m, ONLY: regr_lint
+    use lmdz_phys_mpi_data, ONLY: is_mpi_root
+    use lmdz_grid_phy, ONLY: nbp_lon, nbp_lat, nbp_lev
+    use lmdz_phys_transfert_para, ONLY: scatter2d
     ! (pack to the LMDZ horizontal "physics" grid and scatter)
 
     integer, intent(in):: ncid ! NetCDF ID of the file
-    character(len=*), intent(in):: name ! of the NetCDF variable
+    CHARACTER(LEN=*), intent(in):: name ! of the NetCDF variable
     integer, intent(in):: julien ! jour julien, 1 <= julien <= 360
 
@@ -74,5 +74,5 @@
 
     !$omp master
-    if (is_mpi_root) then
+    if (is_mpi_root) THEN
        CALL nf95_inq_varid(ncid, name, varid)
 
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/regr_pr_o3_m.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/regr_pr_o3_m.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/regr_pr_o3_m.F90	(revision 5116)
@@ -25,11 +25,11 @@
     ! hPa and strictly increasing.
 
-    use netcdf95, only: nf95_open, nf95_close, nf95_inq_varid, nf95_get_var
-    use netcdf, only:  nf90_nowrite
-    use lmdz_assert, only: assert
-    use regr_conserv_m, only: regr_conserv
-    use press_coefoz_m, only: press_in_edg
-    use time_phylmdz_mod, only: day_ref
-    use lmdz_grid_phy, only: nbp_lon, nbp_lat, nbp_lev
+    use netcdf95, ONLY: nf95_open, nf95_close, nf95_inq_varid, nf95_get_var
+    use netcdf, ONLY:  nf90_nowrite
+    use lmdz_assert, ONLY: assert
+    use regr_conserv_m, ONLY: regr_conserv
+    use press_coefoz_m, ONLY: press_in_edg
+    use time_phylmdz_mod, ONLY: day_ref
+    use lmdz_grid_phy, ONLY: nbp_lon, nbp_lat, nbp_lev
 
     REAL, intent(in):: p3d(:, :, :) ! pressure at layer interfaces, in Pa
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/regr_pr_time_av_m.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/regr_pr_time_av_m.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/regr_pr_time_av_m.F90	(revision 5116)
@@ -119,5 +119,5 @@
     USE lmdz_assert_eq, ONLY: assert_eq
     !!  USE comvert_mod,    ONLY: scaleheight
-    USE interpolation, ONLY: locate
+    use lmdz_interpolation, ONLY: locate
     USE regr_conserv_m, ONLY: regr_conserv
     USE regr_lint_m, ONLY: regr_lint
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/simu_airs.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/simu_airs.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/simu_airs.F90	(revision 5116)
@@ -33,5 +33,5 @@
     slope(N) = slope(N - 1)
 
-    if (P(1)>P(N)) then
+    if (P(1)>P(N)) THEN
       i_dir = 1
       i = 1
@@ -44,10 +44,10 @@
     exit_flag = 0
     do while(exit_flag==0)
-      if (P(i)>=P_min.and.P(i)<=P_max) then
-        if (first_point>0) then
+      if (P(i)>=P_min.and.P(i)<=P_max) THEN
+        if (first_point>0) THEN
           delta_alt = alt(i) - alt(first_point)
-          if (delta_alt>=delta_alt_limit) then
+          if (delta_alt>=delta_alt_limit) THEN
             slope_2km = (T(first_point) - T(i)) / delta_alt
-            if (slope_2km<slope_limit) then
+            if (slope_2km<slope_limit) THEN
               exit_flag = 1
             else
@@ -64,5 +64,5 @@
     if (first_point<=0) P_tropo = 65.4321
     if (first_point==1) P_tropo = 64.5432
-    if (first_point>1) then
+    if (first_point>1) THEN
       tmp = (slope_limit - slope(first_point)) / (slope(first_point + 1) - &
               slope(first_point)) * (P(first_point + 1) - P(first_point))
@@ -72,9 +72,9 @@
 
     ! Ajout Marine
-    if (P_tropo < 60. .or. P_tropo > 470.) then
+    if (P_tropo < 60. .or. P_tropo > 470.) THEN
       P_tropo = 999.
     endif
 
-  end function search_tropopause
+  END FUNCTION search_tropopause
 
 
@@ -119,5 +119,5 @@
     CHARACTER (len = 160) :: abort_message
 
-    write(lunout, *) 'dans cloud_structure'
+    WRITE(lunout, *) 'dans cloud_structure'
 
     CALL ordonne(len_cs, rneb_cs, rneb_ord)
@@ -130,5 +130,5 @@
 
     do i = 2, size(rneb_cs)
-      if (rneb_ord(i) > rneb_min) then
+      if (rneb_ord(i) > rneb_min) THEN
         nss = nss + 1
         rneb_min = rneb_ord(i)
@@ -162,5 +162,5 @@
 
     do i = 2, size(rneb_cs)
-      if (rneb_ord(i) > rneb_min) then
+      if (rneb_ord(i) > rneb_min) THEN
         n = n + 1
         s(n) = rneb_ord(i) - rneb_min
@@ -299,10 +299,10 @@
 
     if (cc_tot_cs > maxval(rneb_cs) .and. &
-            abs(cc_tot_cs - maxval(rneb_cs)) > 1.e-4)  then
+            abs(cc_tot_cs - maxval(rneb_cs)) > 1.e-4)  THEN
       WRITE(abort_message, *) 'cc_tot_cs > max rneb_cs', cc_tot_cs, maxval(rneb_cs)
       CALL abort_physic(modname, abort_message, 1)
     endif
 
-    if (iwp_hc_cs < 0.) then
+    if (iwp_hc_cs < 0.) THEN
       abort_message = 'cloud_structure: iwp_hc_cs < 0'
       CALL abort_physic(modname, abort_message, 1)
@@ -317,5 +317,5 @@
     REAL, intent(inout) :: num
 
-    if (den /= 0) then
+    if (den /= 0) THEN
       num = num / den
     else
@@ -332,5 +332,5 @@
     REAL, intent(out) :: res
 
-    if (den /= 0.) then
+    if (den /= 0.) THEN
       res = num / den
     else
@@ -370,5 +370,5 @@
 
     do i = 1, len_cs
-      if (rneb_cs(i) >= rnebmax) then
+      if (rneb_cs(i) >= rnebmax) THEN
         w(i) = 1.
       else
@@ -381,5 +381,5 @@
     som = 0.
     do i = 1, len_cs
-      if (emis_cs(i) == 1.) then
+      if (emis_cs(i) == 1.) THEN
         tau_cs(i) = 10.
       else
@@ -403,6 +403,5 @@
       ideb = iend + 1
 
-      if (ibeg > 0) then
-
+      if (ibeg > 0) THEN
         nuage = nuage + 1
 
@@ -428,6 +427,5 @@
     CALL topbot(1, w, ibeg, iend)
 
-    if (ibeg > 0) then
-
+    if (ibeg > 0) THEN
       CALL caract(ibeg, iend, temp_cs, tau_cs, iwco_cs, &
               pres_cs, dz_cs, rhodz_cs, rad_cs, pcld, tcld, &
@@ -440,6 +438,5 @@
       rad = som_rad
 
-      if (pcld > p_thresh) then
-
+      if (pcld > p_thresh) THEN
         shc = 0.
         shist = 0.
@@ -451,17 +448,17 @@
 
         if (emis < em_min .or. emis > em_max  &
-                .or. tcld > 230.) then
+                .or. tcld > 230.) THEN
           shist = 0.
         endif
 
-        if (emis < 0.98) then
+        if (emis < 0.98) THEN
           sCb = 0.
         endif
 
-        if (emis > 0.5 .or. emis < 0.1) then
+        if (emis > 0.5 .or. emis < 0.1) THEN
           sThCi = 0.
         endif
 
-        if (emis <= 0.5 .or. emis >= 0.98) then
+        if (emis <= 0.5 .or. emis >= 0.98) THEN
           sAnv = 0.
         endif
@@ -490,15 +487,15 @@
     ! Tests
 
-    if (iwp < 0.) then
+    if (iwp < 0.) THEN
       WRITE(abort_message, *) 'ideb iwp =', ideb, iwp
       CALL abort_physic(modname, abort_message, 1)
     endif
 
-    if (deltaz < 0.) then
+    if (deltaz < 0.) THEN
       WRITE(abort_message, *)'ideb deltaz =', ideb, deltaz
       CALL abort_physic(modname, abort_message, 1)
     endif
 
-    if (emis < 0.048 .and. emis /= 0.) then
+    if (emis < 0.048 .and. emis /= 0.) THEN
       WRITE(abort_message, *) 'ideb emis =', ideb, emis
       CALL abort_physic(modname, abort_message, 1)
@@ -525,7 +522,6 @@
     ! Cas ou il n'y a pas de nuage visible au-dessus
 
-    if (visible == 0) then
-
-      if (som_tau < tau_thresh) then
+    if (visible == 0) THEN
+      if (som_tau < tau_thresh) THEN
         do i = ibeg, iend
           w(i) = 0.
@@ -580,5 +576,5 @@
       som_rad = som_rad + rad_cs(i) * dz_cs(i)
 
-      if (som_tau > 3. .and. ibase == -100) then
+      if (som_tau > 3. .and. ibase == -100) THEN
         ibase = i - 1
       endif
@@ -586,11 +582,11 @@
     enddo
 
-    if (som_dz /= 0.) then
+    if (som_dz /= 0.) THEN
       som_rad = som_rad / som_dz
     else
-      write(*, *) 'som_dez = 0 stop '
-      write(*, *) 'ibeg, iend =', ibeg, iend
+      WRITE(*, *) 'som_dez = 0 stop '
+      WRITE(*, *) 'ibeg, iend =', ibeg, iend
       do i = ibeg, iend
-        write(*, *) dz_cs(i), rhodz_cs(i)
+        WRITE(*, *) dz_cs(i), rhodz_cs(i)
       enddo
       abort_message = 'see above'
@@ -600,5 +596,5 @@
     ! Determination de Pcld et Tcld
 
-    if (ibase < ibeg) then
+    if (ibase < ibeg) THEN
       ibase = ibeg
     endif
@@ -625,5 +621,5 @@
     do i = ideb, size(w)
 
-      if (w(i) == 1. .and. itest == 0) then
+      if (w(i) == 1. .and. itest == 0) THEN
         ibeg = i
         itest = 1
@@ -660,5 +656,5 @@
 
       do i = 1, size(rneb_cs)
-        if (rneb(i) < rneb_max) then
+        if (rneb(i) < rneb_max) THEN
           rneb_max = rneb(i)
           ind_min = i
@@ -788,5 +784,5 @@
       do l = ltop, 1, -1
 
-        if (itop == 0 .and. rneb_1D(l) > 0.001) then
+        if (itop == 0 .and. rneb_1D(l) > 0.001) THEN
           itop = l
         endif
@@ -987,5 +983,5 @@
 
       if (cc_tot_mesh > tsom_tot .and. &
-              abs(cc_tot_mesh - tsom_tot) > 1.e-4) then
+              abs(cc_tot_mesh - tsom_tot) > 1.e-4) THEN
         WRITE(abort_message, *)'cc_tot_mesh > tsom_tot', cc_tot_mesh, tsom_tot
         CALL abort_physic(modname, abort_message, 1)
@@ -993,5 +989,5 @@
 
       if (cc_tot_mesh < maxval(test_tot(1:N_CS)) .and. &
-              abs(cc_tot_mesh - maxval(test_tot(1:N_CS))) > 1.e-4) then
+              abs(cc_tot_mesh - maxval(test_tot(1:N_CS))) > 1.e-4) THEN
         WRITE(abort_message, *) 'cc_tot_mesh < max', cc_tot_mesh, maxval(test_tot(1:N_CS))
         CALL abort_physic(modname, abort_message, 1)
@@ -999,5 +995,5 @@
 
       if (cc_hc_mesh > tsom_hc .and. &
-              abs(cc_hc_mesh - tsom_hc) > 1.e-4) then
+              abs(cc_hc_mesh - tsom_hc) > 1.e-4) THEN
         WRITE(abort_message, *) 'cc_hc_mesh > tsom_hc', cc_hc_mesh, tsom_hc
         CALL abort_physic(modname, abort_message, 1)
@@ -1005,5 +1001,5 @@
 
       if (cc_hc_mesh < maxval(test_hc(1:N_CS)) .and. &
-              abs(cc_hc_mesh - maxval(test_hc(1:N_CS))) > 1.e-4) then
+              abs(cc_hc_mesh - maxval(test_hc(1:N_CS))) > 1.e-4) THEN
         WRITE(abort_message, *) 'cc_hc_mesh < max', cc_hc_mesh, maxval(test_hc(1:N_CS))
         CALL abort_physic(modname, abort_message, 1)
@@ -1011,10 +1007,10 @@
 
       if (cc_hist_mesh > tsom_hist .and. &
-              abs(cc_hist_mesh - tsom_hist) > 1.e-4) then
+              abs(cc_hist_mesh - tsom_hist) > 1.e-4) THEN
         WRITE(abort_message, *) 'cc_hist_mesh > tsom_hist', cc_hist_mesh, tsom_hist
         CALL abort_physic(modname, abort_message, 1)
       endif
 
-      if (cc_hist_mesh < 0.) then
+      if (cc_hist_mesh < 0.) THEN
         WRITE(abort_message, *) 'cc_hist_mesh < 0', cc_hist_mesh
         CALL abort_physic(modname, abort_message, 1)
@@ -1025,5 +1021,5 @@
               abs(pcld_hc_mesh - maxval(test_pcld(1:N_CS))) > 1. .and. &
               maxval(test_pcld(1:N_CS)) /= 999. &
-              .and. minval(test_pcld(1:N_CS)) /= 999.) then
+              .and. minval(test_pcld(1:N_CS)) /= 999.) THEN
         WRITE(abort_message, *) 'pcld_hc_mesh est faux', pcld_hc_mesh, maxval(test_pcld(1:N_CS)), &
                 minval(test_pcld(1:N_CS))
@@ -1035,5 +1031,5 @@
               abs(tcld_hc_mesh - maxval(test_tcld(1:N_CS))) > 0.1 .and. &
               maxval(test_tcld(1:N_CS)) /= 999. &
-              .and. minval(test_tcld(1:N_CS)) /= 999.) then
+              .and. minval(test_tcld(1:N_CS)) /= 999.) THEN
         WRITE(abort_message, *) 'tcld_hc_mesh est faux', tcld_hc_mesh, maxval(test_tcld(1:N_CS)), &
                 minval(test_tcld(1:N_CS))
@@ -1045,5 +1041,5 @@
               abs(em_hc_mesh - maxval(test_em(1:N_CS))) > 1.e-4 .and. &
               minval(test_em(1:N_CS)) /= 999. .and. &
-              maxval(test_em(1:N_CS)) /= 999.) then
+              maxval(test_em(1:N_CS)) /= 999.) THEN
         WRITE(abort_message, *) 'em_hc_mesh est faux', em_hc_mesh, maxval(test_em(1:N_CS)), &
                 minval(test_em(1:N_CS))
@@ -1094,5 +1090,5 @@
     CHARACTER (len = 160) :: abort_message
 
-    if (x > bsup .or. x < binf) then
+    if (x > bsup .or. x < binf) THEN
       WRITE(abort_message, *) sx, 'est faux', sx, x
       CALL abort_physic(modname, abort_message, 1)
@@ -1164,7 +1160,7 @@
   REAL, DIMENSION(klon), intent(out) :: map_Cb, map_ThCi, map_Anv
 
-  write(*, *) 'simu_airs'
-  write(*, *) 'itap, klon, klev', itap, klon, klev
-  write(*, *) 'RG, RD =', RG, RD
+  WRITE(*, *) 'simu_airs'
+  WRITE(*, *) 'itap, klon, klev', itap, klon, klev
+  WRITE(*, *) 'RG, RD =', RG, RD
 
 
@@ -1184,5 +1180,5 @@
               pplay_airs(i, j) / (temp_airs(i, j) * RD)
 
-      if (rneb_airs(i, j) > 0.001) then
+      if (rneb_airs(i, j) > 0.001) THEN
         iwcon_airs(i, j) = iwcon0_airs(i, j) / rneb_airs(i, j)
       else
@@ -1219,6 +1215,5 @@
     ! Appel du ss-programme sim_mesh
 
-    !        if (itap .eq. 1 ) then
-
+    !        if (itap .eq. 1 ) THEN
     CALL sim_mesh(rneb_1D, temp_1D, emis_1D, iwcon_1D, rad_1D, &
             pres_1D, dz_1D, rhodz_1D, &
@@ -1232,11 +1227,11 @@
             em_hist_mesh, iwp_hist_mesh, deltaz_hist_mesh, rad_hist_mesh)
 
-    write(*, *) '===================================='
-    write(*, *) 'itap, i:', itap, i
-    write(*, *) 'cc_tot, cc_hc, cc_hist, pcld_hc, tcld_hc, em_hc, &
+    WRITE(*, *) '===================================='
+    WRITE(*, *) 'itap, i:', itap, i
+    WRITE(*, *) 'cc_tot, cc_hc, cc_hist, pcld_hc, tcld_hc, em_hc, &
             iwp_hc, em_hist, iwp_hist ='
-    write(*, *) cc_tot_mesh, cc_hc_mesh, cc_hist_mesh
-    write(*, *) pcld_hc_mesh, tcld_hc_mesh, em_hc_mesh, iwp_hc_mesh
-    write(*, *)  em_hist_mesh, iwp_hist_mesh
+    WRITE(*, *) cc_tot_mesh, cc_hc_mesh, cc_hist_mesh
+    WRITE(*, *) pcld_hc_mesh, tcld_hc_mesh, em_hc_mesh, iwp_hc_mesh
+    WRITE(*, *)  em_hist_mesh, iwp_hist_mesh
 
     !        endif
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/slab_heat_transp_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/slab_heat_transp_mod.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/slab_heat_transp_mod.F90	(revision 5116)
@@ -111,5 +111,5 @@
     ! Sanity check on dimensions
     if ((ip1jm/=((nbp_lon + 1) * (nbp_lat - 1))).or. &
-            (ip1jmp1/=((nbp_lon + 1) * nbp_lat))) then
+            (ip1jmp1/=((nbp_lon + 1) * nbp_lat))) THEN
       abort_message = "ini_slab_transp_geom Error: wrong array sizes"
       CALL abort_physic(modname, abort_message, 1)
@@ -145,5 +145,5 @@
   SUBROUTINE ini_slab_transp(zmasq)
 
-    !    USE lmdz_ioipsl_getin_p, only: getin_p
+    !    USE lmdz_ioipsl_getin_p, ONLY: getin_p
     USE IOIPSL, ONLY: getin
     IMPLICIT NONE
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/stdlevvar_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/stdlevvar_mod.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/stdlevvar_mod.F90	(revision 5116)
@@ -129,5 +129,5 @@
 
 ! --- special Dice: on force cdragm ( a defaut de forcer ustar) MPL 05082013
-     IF (ok_prescr_ust) then
+     IF (ok_prescr_ust) THEN
       DO i = 1, knon
        print *,'cdram avant=',cdram(i)
